# Copyright (C)2025 @BABOLO http://www.babolo.ru/
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: gnu.make,v 1.11 2025/03/21 03:24:10 babolo Exp $
#

.DEFAULT: all

.PHONY: doman gitup notify protover todo version test                       \
        subdir subdirinstall supdir supdirinstall ignore findiff            \
        all preall doall postall objnlib                                    \
        install preinstall doinstall postinstall                            \
        tarball pretarball dotarball posttarball                            \
        clean preclean doclean postclean cleacvs                            \
        release prerelease dorelease postrelease delrelease rerelease dotag

BLINUX	= .MAKE.MAKEFILE_PREFERENCE="BSDmakefile makefile Makefile" -DBLIN_OSLinux

ifdef PROTOVER
 TRANSFER	+= PROTOVER=${PROTOVER}
endif

ifdef DESTDIR
 TRANSFER	+= DESTDIR=${DESTDIR}
endif

all:
	+bmake ${TRANSFER} ${BLINUX} BLINUX='${BLINUX}' all

version:
	+bmake ${TRANSFER} ${BLINUX} BLINUX='${BLINUX}' version

ignore:
	+bmake ${TRANSFER} ${BLINUX} BLINUX='${BLINUX}' ignore

findiff:
	+bmake ${TRANSFER} ${BLINUX} BLINUX='${BLINUX}' findiff

install:
	+bmake ${TRANSFER} ${BLINUX} BLINUX='${BLINUX}' install

tarball:
	+bmake ${TRANSFER} ${BLINUX} BLINUX='${BLINUX}' tarball

clean:
	+bmake ${TRANSFER} ${BLINUX} BLINUX='${BLINUX}' clean

cleacvs:
	+bmake ${TRANSFER} ${BLINUX} BLINUX='${BLINUX}' cleacvs

test:
	+bmake ${TRANSFER} ${BLINUX} BLINUX='${BLINUX}' test
